(***********************************************

 This module provides an interface to handle
 storage of imperative variables.

 author: Christian Mueller

************************************************)

local
    open AbstractSyntax

    type location = int		
in 

val newref : Exp -> location

val assign : location -> Exp -> unit

val read   : location -> Exp

end